org.apache.ignite.internal.processors.odbc

## Class OdbcHandshakeResult

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.OdbcHandshakeResult

    public class OdbcHandshakeResult
    extends Object

ODBC handshake result.

### Constructor Summary

Constructors
Constructor and Description
`OdbcHandshakeResult(boolean accepted, String protoVerSince, String curVer)`

### Method Summary

Methods
`boolean` `accepted()`
`String` `currentVer()`
`String` `protoVerSince()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OdbcHandshakeResult

    public OdbcHandshakeResult(boolean accepted,
                       @Nullable
                       String protoVerSince,
                       @Nullable
                       String curVer)

Parameters:
  `accepted` - Handshake accepted.
  `protoVerSince` - Apache Ignite version when protocol version has been introduced.
  `curVer` - Current Apache Ignite version.

### Method Detail

#### accepted

    public boolean accepted()

Returns:
  Query ID.

#### protoVerSince

    @Nullable
    public String protoVerSince()

Returns:
  Apache Ignite version when protocol version has been introduced.

#### currentVer

    @Nullable
    public String currentVer()

Returns:
  Current Apache Ignite version.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.7.0
Release Date | : August 1 2016